	<?php echo CHtml::errorSummary($model); ?>

<div class="form">
<?php $form=$this->beginWidget('CActiveForm',array('id'=>'post-form')); ?>



	<div class="row step" id="Step1">
		<p class="note">Fields with <span class="required">*</span> are required.</p>

		<?php echo $form->labelEx($model,'title'); ?>
		<?php echo $form->textField($model,'title',array('size'=>80,'maxlength'=>128)); ?>
		<?php echo $form->error($model,'title'); ?>
	</div>

	<div class="row step" id="Step2">
		<?php echo $form->labelEx($model,'content'); ?>
		<?php echo CHtml::activeTextArea($model,'content',array('rows'=>10, 'cols'=>70)); ?>
		<p class="hint">You may use <a target="_blank" href="http://daringfireball.net/projects/markdown/syntax">Markdown syntax</a>.</p>
		<?php echo $form->error($model,'content'); ?>
	</div>

	<div class="row step" id="Step3">
		<?php echo $form->labelEx($model,'tags'); ?>
		<?php $this->widget('CAutoComplete', array(
			'model'=>$model,
			'attribute'=>'tags',
			'url'=>array('suggestTags'),
			'multiple'=>true,
			'htmlOptions'=>array('size'=>50),
		)); ?>
		<p class="hint">Please separate different tags with commas.</p>
		<?php echo $form->error($model,'tags'); ?>
	</div>

	<div class="row step" id="Step4">
		<?php echo $form->labelEx($model,'status'); ?>
		<?php echo $form->dropDownList($model,'status',Lookup::items('PostStatus')); ?>
		<?php echo $form->error($model,'status'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
		<div id="stepmessage"></div>
		<div id="data"></div>
 <?php 

					
		$this->widget('ext.sformwizard.SFormWizard',array(
			'selector'=>"#post-form",
			'historyEnabled' =>"true",
			'validationEnabled' => "true",
			'validationOptions' => "undefined",
			'formPluginEnabled' => "true",
			'formOptions' => '{
						success: function(data){$("#stepmessage").fadeTo(500,1,function(){ $("#stepmessage").html(data); })},
						beforeSubmit: function(data){
							$("#data").html("data sent to the server: " + $.param(data));
							},
						dataType: "json",
						resetForm: true
				 	}	',
			'linkClass' =>".link",
			'submitStepClass' =>".submit_step",
			'back' => ":reset",
			'next' => ":submit",
			'textSubmit' => "Submit",
			'textNext' => "Next",
			'textBack' =>"Back",
			'remoteAjax' =>"undefined",
			'inAnimation' => "{opacity:'show'}",
			'outAnimation' => "{opacity:'hide'}",
			'inDuration' => 400,
			'outDuration' => 400,
			'easing' => "swing",
			'focusFirstInput' => "true",
			'disableInputFields' => "true",
			'disableUIStyles' => "false",
			'jsAfterStepShown'=>	'
				/*		Available in data (data.steps ,data.settings etc):
						isBackNavigation - boolean
						settings - options object containing the options set for the wizard
						activatedSteps - list of activated steps (visited steps)
						isLastStep - boolean specifying whether the current step is a submit step
						isFirstStep - boolean
						previousStep - the id of the previously visited step
						currentStep - the id of the current step
						backButton
						nextButton
						steps - the steps of the wizard 
						firstStep - the id of the first step
					*/
						$("#stepmessage").html("");
						$.each(data.activatedSteps, function(){
						$("#stepmessage").append(this+" - ");
						});
					var currentstepnumber = data.activatedSteps.length;					
					$("#stepmessage").append("<br/>Step "+currentstepnumber+"/"+data.steps.length);',
			));?>
 